
Redmine - Defect #12336

SVN repository is down

2012-11-09 13:54 - Leo L.

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 100%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Hello,

The SVN repository seems to be down since one week.

The command : "svn co http://redmine.rubyforge.org/svn/branches/2.1-stable redmine-2.1" ends with :

"svn: E175002: Unable to connect to a repository at URL 'http://redmine.rubyforge.org/svn/branches/2.1-stable'"

And even "http://redmine.rubyforge.org/svn/" shows a "Not found" result.

History

#1 - 2012-11-09 13:57 - Leo L.

- Status changed from New to Resolved

- % Done changed from 0 to 100

It is rubyforge problem.

See http://rubyforge.org/forum/forum.php?thread_id=51237&forum_id=2 for more info.

#2 - 2012-11-11 21:11 - Jean-Philippe Lang

The Redmine repository is now available at: http://svn.redmine.org/redmine

#3 - 2012-11-12 01:06 - Toshi MARUYAMA

- Category set to Website (redmine.org)

#4 - 2012-11-19 13:44 - Leo L.

Hello,

Thanks for the update, Jean-Philippe, the SVN repo is indeed OK now.

But when we have downloaded it via the SVN command, and if we try to update it (to 2.1.3) via SVN, it fails with the error message :

svn: E170009: Repository UUID 'e93f8b46-1217-0410-a6f0-8f06a7374b81' doesn't match expected UUID '235689ae-d03

b-4307-834a-a690d45eb135'

 Maybe there's a problem remaining ?

--

Léo.

#5 - 2012-11-19 13:57 - Toshi MARUYAMA

Sorry, UUID changed on 2012-11-13.

http://www.redmine.org/boards/2/topics/34151?r=34299#message-34299

Please delete UUID: "235689ae-d03b-4307-834a-a690d45eb135" working directory.

#6 - 2012-11-19 14:08 - Leo L.

Hi Toshi,

Thanks for your answer. I missed that one in my search over the forum...

Do you know how to delete old UUID working directory, as you suggest ? I can't find the directory mentionned in my redmine directory.
--

Léo.

#7 - 2012-11-19 14:31 - Toshi MARUYAMA

Leo L wrote:

Do you know how to delete old UUID working directory, as you suggest ? I can't find the directory mentionned in my redmine directory.

 Delete checkouted directory. And re-checkout from SVN.

#8 - 2012-11-19 14:34 - Leo L.

Oh... I was hoping not to do that, because I have modified Redmine base layout to fit our needs.

But I don't think I have a choice here.

Thanks Toshi for your tips.

--

Léo.

#9 - 2012-11-19 14:44 - Toshi MARUYAMA

Leo L wrote:

Oh... I was hoping not to do that, because I have modified Redmine base layout to fit our needs.

 If you use Subversion 1.7, you can replace checkoutted top directroy ".svn".

#10 - 2012-11-21 21:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
